package com.org.hktshop.service.user;

import com.org.hktshop.entity.user.HktUserAddress;

import java.util.List;

public interface HktUserAddressService {

    void updateHktUserAddress(HktUserAddress hktUserAddress);
    List<HktUserAddress> getHktUserAddress(String userId,String distribution);
    void deleteHktUserAddress(HktUserAddress hktUserAddress);
    void setDefaultAddress(String userId,String id);
    HktUserAddress getDefaultAddress(String userId);
}
